from django.db import migrations, models

import engine.core.utils


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0038_backfill_product_sku"),
    ]

    operations = [
        migrations.AlterField(
            model_name="product",
            name="sku",
            field=models.CharField(
                default=engine.core.utils.generate_human_readable_id,
                help_text="stock keeping unit for this product",
                max_length=8,
                unique=True,
                verbose_name="SKU",
            ),
        ),
    ]
